## kdegames 4.7.1

=== debian/changelog ===
kdegames (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 15 Sep 2011 23:29:24 +0200

kdegames (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Bump kde-sc-dev-latest build dependency to 4:4.7.1

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Sat, 03 Sep 2011 13:28:46 +0200

kdegames (4:4.7.0-0ubuntu2) oneiric; urgency=low

  * Bump klickety breaks/replaces on ksame to 4:4.6.80 to catch
    Natty 4.6.5 packages.

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 28 Jul 2011 16:50:32 +0200

kdegames (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release 
    - add libsndfile1-dev to build-deps

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 23 Jul 2011 01:58:13 +0200

kdegames (4:4.6.90-0ubuntu1) oneiric; urgency=low

  [ Rohan Garg ]
  * New upstream release
    - Drop Granatier, libopenal is in universe
    - Bump so versions for various packages

  [ Philip Muškovac ]
  * fix debug package depends on kdebase-runtime-dbg -> kde-runtime-dbg 

  [ Felix Geyer ]
  * Update symbols files.
  * Add new files to kajongg.install.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 12 Jul 2011 12:53:09 +0200

kdegames (4:4.6.3-1ubuntu2) oneiric; urgency=low

  * Don't build-dep on libqt4-opengl-dev and libglu1-mesa-dev on armel.
    This change has been accidentally dropped in the last upload. (LP: #791250)

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 07 Jun 2011 14:07:30 +0200

kdegames (4:4.6.3-1ubuntu1) oneiric; urgency=low

  [ Felix Geyer ]
  * Merge from Debian unstable, remaining changes:
    - Package kajongg.
      + Pass -DINSTALL_KAJONGG:BOOL=TRUE to dh_auto_configure.
    - Split kdegames-card-data into kdegames-card-data and
      kdegames-card-data-extra to save space on the CD.
    - Make palapeli suggest instead of recommend qhull-bin (not in main).
    - Don't build-dep on libqt4-opengl-dev and libglu1-mesa-dev on armel to
      fix FTBFS due to attempt to use GL instead of GLES (LP: #707794)
      + Build ksudoko and kubrick only on i386 amd64 powerpc
      + Include ksudoko and kubrick in the kdegrams metapackage only on i386
        amd64 powerpc
      + Switch kdegames to architecture any due to the need for architecture
        specific dependencies
  * Add python to kajongg dependencies.

  [ Philip Muškovac ]
  * Update Vcs links as the branch is owned by kubuntu-packagers now 

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 30 May 2011 10:02:36 +0200

=== debian/control ===
Source: kdegames
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>, Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
 Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <gkiagiad@csd.uoc.gr>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7), libphonon-dev (>= 4:4.3.0), libqt4-opengl-dev [i386 amd64 powerpc],
 libglu1-mesa-dev [i386 amd64 powerpc], ggzcore-bin, libqca2-dev, zlib1g-dev, libeigen2-dev,
 shared-mime-info, libsndfile1-dev
Standards-Version: 3.9.2
Homepage: http://games.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdegames
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdegames

Package: kdegames
Architecture: any
Section: kde
Depends: ${misc:Depends}, bovo (>= ${source:Version}), bomber (>= ${source:Version}), 
 kapman (>= ${source:Version}), katomic (>= ${source:Version}),
 kbattleship (>= ${source:Version}), kblackbox (>= ${source:Version}),
 kbounce (>= ${source:Version}), kdiamond (>= ${source:Version}),
 kgoldrunner (>= ${source:Version}), kiriki (>= ${source:Version}), 
 killbots (>= ${source:Version}), ktron (>= ${source:Version}),
 kjumpingcube (>= ${source:Version}), klines (>= ${source:Version}), 
 kmahjongg (>= ${source:Version}), kmines (>= ${source:Version}), 
 knetwalk (>= ${source:Version}), kolf (>= ${source:Version}), 
 kollision (>= ${source:Version}), konquest (>= ${source:Version}),
 kpat (>= ${source:Version}), kreversi (>= ${source:Version}),
 klickety (>= ${source:Version}), kshisen (>= ${source:Version}),
 kspaceduel (>= ${source:Version}), ksudoku (>= ${source:Version}) [i386 amd64 powerpc],
 ksquares (>= ${source:Version}), ktuberling (>= ${source:Version}),
 kfourinline (>= ${source:Version}), lskat (>= ${source:Version}),
 kubrick (>= ${source:Version}) [i386 amd64 powerpc], kblocks (>= ${source:Version}),
 kbreakout (>= ${source:Version}), ksirk (>= ${source:Version}),
 palapeli (>= ${source:Version}),
 kigo (>= ${source:Version}), kajongg (>= ${source:Version})
Description: games from the official KDE release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This metapackage includes a collection of games provided with the official
 release of KDE.

Package: libkdegames5a
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libkdegames5
Breaks: libkdegames5
Description: shared library for KDE games
 This package contains a shared library used by KDE games.
 .
 This package is part of the KDE games module.

Package: libkggzgames4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libkdegames5
Breaks: libkdegames5
Description: GGZ support library for KDE games
 This package contains a shared library used by KDE games to support the GNU
 Gaming Zone online gaming environment. This library can be used by game clients
 to display information about the players and spectators and their associated
 statistics. It is the visual counterpart to the rather low-level kggzmod
 library and contains convenience widgets and dialogs.
 .
 This package is part of the KDE games module.

Package: libkggzmod4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libkdegames5
Breaks: libkdegames5
Description: GGZ support library for KDE games
 This package contains a shared library used by KDE games to support the GNU
 Gaming Zone online gaming environment. This libraryi can be used by game clients
 to display information about the players and spectators and their associated
 statistics.
 .
 This package is part of the KDE games module.

Package: libkggznet4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libkdegames5
Breaks: libkdegames5
Description: GGZ support library for KDE games
 This package contains a shared library used by KDE games to support the GNU
 Gaming Zone online gaming environment. This library is an interface to
 networking on the GGZ Gaming Zone. The library provides classes to handle
 low-level protocols for communication between game clients and servers.
 .
 This package is part of the KDE games module.

Package: libkmahjongglib4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libkdegames5
Breaks: libkdegames5
Description: library for kmahjongg
 This package contains a shared library used by KDE game kmahjongg.
 .
 This package is part of the KDE games module.

Package: libkdegames-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${sameVersionDep:kdelibs5-dev:libkdegames5a},
 libkdegames5a (= ${binary:Version}), libkggzgames4 (= ${binary:Version}),
 libkggzmod4 (= ${binary:Version}), libkggznet4 (= ${binary:Version}),
 libkmahjongglib4 (= ${binary:Version})
Description: development files for the KDE games library
 This package contains development files for building software that uses
 libraries from the KDE games module.

Package: kdegames-card-data
Architecture: all
Depends: ${misc:Depends}
Suggests: kdegames-card-data-extra
Description: card decks for KDE games
 This package contains a playing card theme for KDE card games.
 .
 This package is part of the KDE games module.

Package: kdegames-card-data-extra
Architecture: all
Depends: ${misc:Depends}, kdegames-card-data
Replaces: kdegames-card-data (<< 4:4.5.3-0ubuntu2)
Breaks: kdegames-card-data (<< 4:4.5.3-0ubuntu2)
Description: extra card decks for KDE games
 This package contains a collection of playing card themes for KDE card games.
 .
 This package is part of the KDE games module.

Package: kdegames-mahjongg-data
Architecture: all
Depends: ${misc:Depends}
Description: tilesets and backgrounds for Mahjongg games
 This package contains a collection of tilesets and backgrounds for KMahjongg
 and KShisen.
 .
 This package is part of the KDE games module.

Package: kajongg
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python, python-kde4,
 python-twisted, libqt4-sql-sqlite, python-qt4-sql, kdegames-mahjongg-data
Description: The classical Mah Jongg game
 Kajongg comes with a ruleset for classical chinese as played in Germany.
 You can change the ruleset at your will and also define whole new
 rulesets. The rules for a game are saved in the database, so every
 game could be played with different rules.
 .
 This package is part of the KDE games module.

Package: bomber
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: arcade spaceship game
 Bomber is a game where you fly a spaceship and attempt to bomb the buildings
 below you. Each pass the spaceship makes, it gets lower and lower. If you've
 not destroyed a building in your path, you will crash into it. 
 .
 This package is part of the KDE games module.

Package: bovo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: gomoku (five in line) board game
 Bovo is a game where two players take turns placing markers on the board,
 the winner being the first to complete a line of five markers.
 .
 This package is part of the KDE games module.

Package: kapman
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Pac-Man clone
 Kapman is a clone of the well known game Pac-Man. You must go through the 
 levels escaping ghosts in a maze. You lose a life when a ghost eats you, but 
 you can eat the ghosts for a few seconds when eating an energizer. You win 
 points when eating pills, energizers, and bonus, and you win one life for 
 each 10,000 points.  When you have eaten all the pills and energizers of a 
 level, you go to the next level, and the player and ghost speeds increase. 
 .
 This package is part of the KDE games module.

Package: katomic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Description: atomix puzzle game
 KAtomic is a puzzle game in which the player slides atoms around the board to
 assemble a molecule.
 .
 This package is part of the KDE games module.

Package: kbattleship
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: battleship board game
 KBattleship is an implementation of the Battleship game, where two players
 take turns firing at the opponent's ships by guessing their coordinates.
 .
 This package is part of the KDE games module.

Package: kblackbox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Black Box puzzle game
 KBlackBox is a game of hide and seek played on an grid of boxes, where the
 player shoots rays into the grid to deduce the positions of hidden objects.
 .
 This package is part of the KDE games module.

Package: kbounce
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Jezzball arcade game 
 KBounce is a game where the player builds walls to confine a number of
 bouncing balls.
 .
 This package is part of the KDE games module.

Package: kdiamond
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: three-in-a-row game
 KDiamond is a three-in-a-row game like Bejeweled. It features unlimited fun 
 with randomly generated games and five difficulty levels with varying number 
 of diamond colors and board sizes.
 .
 This package is part of the KDE games module.

Package: kgoldrunner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lode Runner arcade game
 KGoldrunner is a fast-paced platform game where the player must navigate a
 maze while collecting gold nuggets and avoiding enemies.  A variety of level
 packs are included, as well as an editor to create new levels.
 .
 This package is part of the KDE games module.

Package: killbots
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: port of the classic BSD console game robots
 killbots is a simple game of evading killer robots. The robots are numerous 
 and their sole objective is to destroy you.  Fortunately for you, their 
 creator has focused on quantity rather than quality and as a result 
 the robots are severely lacking in intelligence. Your superior wit and 
 a fancy teleportation device are your only weapons against the never-ending 
 stream of mindless automatons.
 .
 This package is part of the KDE games module.

Package: kiriki
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Yahtzee dice game
 Kiriki is a dice game for up to six players, where each player rolls five dice
 to make combinations with the highest score.
 .
 This package is part of the KDE games module.

Package: kjumpingcube
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple tactical game
 KJumpingcube is a simple tactical game for one or two players, played on a
 grid of numbered squares.  Each turn, players compete for control of the board
 by capturing or adding to one square.
 .
 This package is part of the KDE games module.

Package: klines
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: color lines game
 KLines is a single-player game where the player removes colored balls from the
 board by arranging them into lines of five or more.  However, every time the
 player moves a ball, three more balls are added to the board.
 .
 This package is part of the KDE games module.

Package: kmahjongg
Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBIN_INSTALL_DIR=/usr/games -DINSTALL_KAJONGG:BOOL=TRUE

.PHONY: override_dh_auto_test

# Install upstream changelogs for each package if they exist
upstream_changelogs = $(strip $(wildcard */ChangeLog) $(wildcard */CHANGELOG) $(wildcard */CHANGES))
ifneq (,$(upstream_changelogs))
$(upstream_changelogs):
	$(and $(filter $(firstword $(subst /, ,$@)),$(all_packages)),\
        if [ -s $@ ]; then dh_installchangelogs $(DHMK_OPTIONS) -p$(firstword $(subst /, ,$@) $@) $@; fi)
.PHONY: $(upstream_changelogs)
endif

override_dh_installchangelogs: all_packages := $(shell dh_listpackages)
override_dh_installchangelogs: $(upstream_changelogs)
	$(overridden_command) --remaining-packages

override_dh_makeshlibs:
	$(overridden_command) -V -- -c0

override_dh_strip:
	$(overridden_command) --dbg-package=kdegames-dbg

generate-icons:
	while read src dest; do \
		convert debian/tmp/$$src debian/icons/$$dest; \
	done <debian/icon-list

## kdegames 4.7.2

=== debian/changelog ===
kdegames (4:4.7.2-1) experimental; urgency=low

  [ Daniele E. Domenichelli ]
  * New upstream release.
  * Update build dependencies:
    - Bump kde-sc-dev-latest to >= 4:4.7.1.
    - Bump kdelibs5-dev to >= 4:4.7.
    - Added libopenal-dev (required by KGoldrunner and Granatier).
    - Added libsndfile1-dev (required by KGoldrunner).
  * Update installed files.
  * Build and install kajongg
    - Add build dependency to python >= 2.6.6-3~
    - Build with dh = --with=python2 and override dh_python2
    - Add cmake flag -DINSTALL_KAJONGG=TRUE
    - Add icons .install and .menu
    - Add X-Python-Version tag in control file
    - Add kajongg package in debian/control file
    - Add kajongg info in debian/copyright

  [ Pino Toscano ]
  * Remove duplicated ${misc:Depends} from palapeli-data Depends.
  * Manage some packages renamings:
    - kdegames-dbg depends on kde-runtime-dbg instead of kdebase-runtime-dbg.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:43:33 -0300

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: kdegames
 Section: games
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>, Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
- Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <gkiagiad@csd.uoc.gr>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
+ Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <gkiagiad@csd.uoc.gr>,
+ Eshat Cakar <info@eshat.de>
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.7), libphonon-dev (>= 4:4.3.0), libqt4-opengl-dev [i386 amd64 powerpc],
- libglu1-mesa-dev [i386 amd64 powerpc], ggzcore-bin, libqca2-dev, zlib1g-dev, libeigen2-dev,
- shared-mime-info, libsndfile1-dev
+ kdelibs5-dev (>= 4:4.7), libphonon-dev (>= 4:4.3.0), libqt4-opengl-dev,
+ libglu1-mesa-dev, ggzcore-bin, libqca2-dev, zlib1g-dev, libeigen2-dev,
+ shared-mime-info, libopenal-dev, libsndfile1-dev, python (>= 2.6.6-3~)
 Standards-Version: 3.9.2
+X-Python-Version: >= 2.6
 Homepage: http://games.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdegames
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdegames
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdegames.git
+Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdegames.git
 
 Package: kdegames
-Architecture: any
+Architecture: all
 Section: kde
 Depends: ${misc:Depends}, bovo (>= ${source:Version}), bomber (>= ${source:Version}), 
  kapman (>= ${source:Version}), katomic (>= ${source:Version}),
@@ -30,13 +31,14 @@
  kollision (>= ${source:Version}), konquest (>= ${source:Version}),
  kpat (>= ${source:Version}), kreversi (>= ${source:Version}),
  klickety (>= ${source:Version}), kshisen (>= ${source:Version}),
- kspaceduel (>= ${source:Version}), ksudoku (>= ${source:Version}) [i386 amd64 powerpc],
+ kspaceduel (>= ${source:Version}), ksudoku (>= ${source:Version}),
  ksquares (>= ${source:Version}), ktuberling (>= ${source:Version}),
  kfourinline (>= ${source:Version}), lskat (>= ${source:Version}),
- kubrick (>= ${source:Version}) [i386 amd64 powerpc], kblocks (>= ${source:Version}),
+ kubrick (>= ${source:Version}), kblocks (>= ${source:Version}),
  kbreakout (>= ${source:Version}), ksirk (>= ${source:Version}),
- palapeli (>= ${source:Version}),
- kigo (>= ${source:Version}), kajongg (>= ${source:Version})
+ palapeli (>= ${source:Version}), granatier (>= ${source:Version}),
+ kigo (>= ${source:Version})
+Recommends: kajongg (>= ${source:Version})
 Description: games from the official KDE release
  KDE is produced by an international technology team that creates free and open
  source software for desktop and portable computing. Among KDE's products are a
@@ -95,10 +97,11 @@
 Replaces: libkdegames5
 Breaks: libkdegames5
 Description: GGZ support library for KDE games
- This package contains a shared library used by KDE games to support the GNU
- Gaming Zone online gaming environment. This library is an interface to
- networking on the GGZ Gaming Zone. The library provides classes to handle
- low-level protocols for communication between game clients and servers.
+ This package contains a shared library used by KDE games to support
+ the GNU Gaming Zone online gaming environment. This library is an
+ interface to networking on the GGZ Gaming Zone. The library provides
+ classes to handle low-level protocols for communication between game
+ clients and servers. 
  .
  This package is part of the KDE games module.
 
@@ -127,18 +130,7 @@
 Package: kdegames-card-data
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: kdegames-card-data-extra
 Description: card decks for KDE games
- This package contains a playing card theme for KDE card games.
- .
- This package is part of the KDE games module.
-
-Package: kdegames-card-data-extra
-Architecture: all
-Depends: ${misc:Depends}, kdegames-card-data
-Replaces: kdegames-card-data (<< 4:4.5.3-0ubuntu2)
-Breaks: kdegames-card-data (<< 4:4.5.3-0ubuntu2)
-Description: extra card decks for KDE games
  This package contains a collection of playing card themes for KDE card games.
  .
  This package is part of the KDE games module.
@@ -149,18 +141,6 @@
 Description: tilesets and backgrounds for Mahjongg games
  This package contains a collection of tilesets and backgrounds for KMahjongg
  and KShisen.
- .
- This package is part of the KDE games module.
-
-Package: kajongg
-Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, python, python-kde4,
- python-twisted, libqt4-sql-sqlite, python-qt4-sql, kdegames-mahjongg-data
-Description: The classical Mah Jongg game
- Kajongg comes with a ruleset for classical chinese as played in Germany.
- You can change the ruleset at your will and also define whole new
- rulesets. The rules for a game are saved in the database, so every
- game could be played with different rules.
  .
  This package is part of the KDE games module.
 
@@ -296,3 +276,32 @@
 
 Package: kmahjongg
 Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-mahjongg-data (>= ${source:Version})
+Description: mahjongg solitaire game
+ KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
+ to clear the board.  A variety of tile layouts are included, as well as an
+ editor to create new layouts.
+ .
+ This package is part of the KDE games module.
+
+Package: kmines
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: minesweeper game
+ KMines is a game where the player finds hidden mines without setting them off.
+ .
+ This package is part of the KDE games module.
+
+Package: knetwalk
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: wire puzzle game
+ KNetwalk is a puzzle game where the player arranges sections of wire to
+ connect all the computers on the board.
+ .
+ This package is part of the KDE games module.
+
+Package: kolf
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: miniature golf game

## kdegames 4.7.4

=== debian/changelog ===
kdegames (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.
  * Update uploaders, remove Armin.

  [ Pino Toscano ]
  * Remove the ggzcore-bin build dependency, as GGZ is unmaintained upstream
    and being removed from Debian. (Closes: #655398)
  * Fix typo in description of libkggzmod4. (Closes: #655425)

  [ José Manuel Santamaría Lema ]
  * Confirm symbols files on all architectures.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 06 Mar 2012 20:30:05 +0100

kdegames (4:4.7.4-1) experimental; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Bump kde-sc-dev-latest build dependency to 4.7.4.

  [ José Manuel Santamaría Lema ]
  * Confirm symbols files on more architectures with the 4.7.2 logs.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 04:01:58 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>, Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
- Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <gkiagiad@csd.uoc.gr>,
+ Modestas Vainius <modax@debian.org>, George Kiagiadakis <gkiagiad@csd.uoc.gr>,
  Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  kdelibs5-dev (>= 4:4.7), libphonon-dev (>= 4:4.3.0), libqt4-opengl-dev,
- libglu1-mesa-dev, ggzcore-bin, libqca2-dev, zlib1g-dev, libeigen2-dev,
+ libglu1-mesa-dev, libqca2-dev, zlib1g-dev, libeigen2-dev,
  shared-mime-info, libopenal-dev, libsndfile1-dev, python (>= 2.6.6-3~)
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.6
@@ -84,7 +84,7 @@
 Breaks: libkdegames5
 Description: GGZ support library for KDE games
  This package contains a shared library used by KDE games to support the GNU
- Gaming Zone online gaming environment. This libraryi can be used by game clients
+ Gaming Zone online gaming environment. This library can be used by game clients
  to display information about the players and spectators and their associated
  statistics.
  .
@@ -305,3 +305,4 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: miniature golf game
+ Kolf is a miniature golf game for one to ten players.  A variety of courses

## kdegames 4.8.2

=== debian/changelog ===
kdegames (4:4.8.2-0ubuntu1) precise; urgency=low

  [ Felix Geyer ]
  * Update symbols files.

  [ Philip Muškovac ]
  * New upstream release 
  * Enable granatier package again now that libopenal-dev is in the
    build-depends

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 31 Mar 2012 21:35:37 +0200

kdegames (4:4.8.1-0ubuntu2) precise; urgency=low

  * Add libopenal-dev to build-depends

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 09 Mar 2012 19:28:30 +0530

kdegames (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 03 Mar 2012 15:27:57 +0100

kdegames (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 19 Jan 2012 19:15:59 +0100

kdegames (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:19 +0000

kdegames (4:4.7.95-0ubuntu1) precise; urgency=low

  [ Philip Muškovac ]
  * New upstream release candidate
  
  [ Felix Geyer ]
  * Update symbol files.

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 17:12:20 +0100

kdegames (4:4.7.90-0ubuntu1) precise; urgency=low

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Dec 2011 14:17:50 +0000

kdegames (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge from Debian unstable, remaining changes:
    - Don't build-dep on libopenal-dev, in universe
    - Split kdegames-card-data into kdegames-card-data and
      kdegames-card-data-extra to save space on the CD.
    - Make palapeli suggest instead of recommend qhull-bin (not in main).
    - Don't build-dep on libqt4-opengl-dev and libglu1-mesa-dev on armel to
      fix FTBFS due to attempt to use GL instead of GLES (LP: #707794)
      + Build ksudoko and kubrick only on i386 amd64 powerpc
      + Include ksudoko and kubrick in the kdegrams metapackage only on i386
        amd64 powerpc
      + Switch kdegames to architecture any due to the need for architecture
        specific dependencies
    - Drop Granatier, libopenal is in universe
    - Bump klickety breaks/replaces on ksame to 4:4.6.80 to catch
      Natty 4.6.5 packages.
  * Add usr/share/kde4/apps/kdegames/pics/star.png to libkdegames5a.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 23:46:48 +0000

kdegames (4:4.7.2-0r1) UNRELEASED; urgency=low

  [ Daniele E. Domenichelli ]
  * New upstream release.
  * Update build dependencies:
    - Bump kde-sc-dev-latest to >= 4:4.7.1.
    - Bump kdelibs5-dev to >= 4:4.7.
    - Added libopenal-dev (required by KGoldrunner and Granatier).
    - Added libsndfile1-dev (required by KGoldrunner).
  * Update installed files.
  * Build and install kajongg
    - Add build dependency to python >= 2.6.6-3~
    - Build with dh = --with=python2 and override dh_python2
    - Add cmake flag -DINSTALL_KAJONGG=TRUE
    - Add icons .install and .menu
    - Add X-Python-Version tag in control file
    - Add kajongg package in debian/control file
    - Add kajongg info in debian/copyright

  [ Pino Toscano ]
  * Remove duplicated ${misc:Depends} from palapeli-data Depends.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 09 Oct 2011 00:19:24 +0200

kdegames (4:4.7.2-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #872506)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 15 Oct 2011 00:35:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,26 @@
 Source: kdegames
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>, Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
- Modestas Vainius <modax@debian.org>, George Kiagiadakis <gkiagiad@csd.uoc.gr>,
+ Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <gkiagiad@csd.uoc.gr>,
  Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.7), libphonon-dev (>= 4:4.3.0), libqt4-opengl-dev,
- libglu1-mesa-dev, libqca2-dev, zlib1g-dev, libeigen2-dev,
- shared-mime-info, libopenal-dev, libsndfile1-dev, python (>= 2.6.6-3~)
+ kdelibs5-dev (>= 4:4.8.1), libphonon-dev (>= 4:4.3.0), libqt4-opengl-dev [amd64 i386 powerpc],
+ libglu1-mesa-dev [amd64 i386 powerpc], ggzcore-bin, libqca2-dev, zlib1g-dev, libeigen2-dev,
+ shared-mime-info, libsndfile1-dev, python (>= 2.6.6-3~), libopenal-dev
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.6
 Homepage: http://games.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdegames.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdegames.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdegames
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdegames
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdegames.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdegames.git
 
 Package: kdegames
-Architecture: all
+Architecture: any
 Section: kde
 Depends: ${misc:Depends}, bovo (>= ${source:Version}), bomber (>= ${source:Version}), 
  kapman (>= ${source:Version}), katomic (>= ${source:Version}),
@@ -31,12 +34,12 @@
  kollision (>= ${source:Version}), konquest (>= ${source:Version}),
  kpat (>= ${source:Version}), kreversi (>= ${source:Version}),
  klickety (>= ${source:Version}), kshisen (>= ${source:Version}),
- kspaceduel (>= ${source:Version}), ksudoku (>= ${source:Version}),
+ kspaceduel (>= ${source:Version}), ksudoku (>= ${source:Version}) [amd64 i386 powerpc],
  ksquares (>= ${source:Version}), ktuberling (>= ${source:Version}),
  kfourinline (>= ${source:Version}), lskat (>= ${source:Version}),
- kubrick (>= ${source:Version}), kblocks (>= ${source:Version}),
+ kubrick (>= ${source:Version}) [amd64 i386 powerpc], kblocks (>= ${source:Version}),
  kbreakout (>= ${source:Version}), ksirk (>= ${source:Version}),
- palapeli (>= ${source:Version}), granatier (>= ${source:Version}),
+ palapeli (>= ${source:Version}),
  kigo (>= ${source:Version})
 Recommends: kajongg (>= ${source:Version})
 Description: games from the official KDE release
@@ -84,7 +87,7 @@
 Breaks: libkdegames5
 Description: GGZ support library for KDE games
  This package contains a shared library used by KDE games to support the GNU
- Gaming Zone online gaming environment. This library can be used by game clients
+ Gaming Zone online gaming environment. This libraryi can be used by game clients
  to display information about the players and spectators and their associated
  statistics.
  .
@@ -129,8 +132,19 @@
 
 Package: kdegames-card-data
 Architecture: all
+Suggests: kdegames-card-data-extra
 Depends: ${misc:Depends}
 Description: card decks for KDE games
+ This package contains a collection of playing card themes for KDE card games.
+ .
+ This package is part of the KDE games module.
+
+Package: kdegames-card-data-extra
+Architecture: all
+Depends: ${misc:Depends}, kdegames-card-data
+Replaces: kdegames-card-data (<< 4:4.5.3-0ubuntu2)
+Breaks: kdegames-card-data (<< 4:4.5.3-0ubuntu2)
+Description: extra card decks for KDE games
  This package contains a collection of playing card themes for KDE card games.
  .
  This package is part of the KDE games module.
@@ -280,29 +294,3 @@
 Description: mahjongg solitaire game
  KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
  to clear the board.  A variety of tile layouts are included, as well as an
- editor to create new layouts.
- .
- This package is part of the KDE games module.
-
-Package: kmines
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: minesweeper game
- KMines is a game where the player finds hidden mines without setting them off.
- .
- This package is part of the KDE games module.
-
-Package: knetwalk
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: wire puzzle game
- KNetwalk is a puzzle game where the player arranges sections of wire to
- connect all the computers on the board.
- .
- This package is part of the KDE games module.
-
-Package: kolf
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: miniature golf game
- Kolf is a miniature golf game for one to ten players.  A variety of courses

## kdegames 4.8.4

=== kjumpingcube/CMakeLists.txt ===
project(kjumpingcube)

add_subdirectory( pics )

########### next target ###############

set(kjumpingcube_SRCS 
   kjumpingcube.cpp 
   kcubeboxwidget.cpp 
   main.cpp 
   kcubewidget.cpp 
   cube.cpp 
   brain.cpp 
   cubebox.cpp )

kde4_add_ui_files(kjumpingcube_SRCS settings.ui )

kde4_add_kcfg_files(kjumpingcube_SRCS prefs.kcfgc )

kde4_add_app_icon(kjumpingcube_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/hi*-app-kjumpingcube.png")
kde4_add_executable(kjumpingcube ${kjumpingcube_SRCS})

target_link_libraries(kjumpingcube  ${KDE4_KIO_LIBS} kdegames )

install(TARGETS kjumpingcube  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS kjumpingcube.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES kjumpingcube.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES kjumpingcubeui.rc  DESTINATION  ${DATA_INSTALL_DIR}/kjumpingcube )

kde4_install_icons( ${ICON_INSTALL_DIR}   )

=== kfourinline/grafix/CMakeLists.txt ===

########### install files ###############

install( FILES
default.desktop
default.rc
default.svg
yellow.desktop
yellow.rc
yellow.svg 
gray_reflection.desktop
gray_reflection.rc
gray_reflection.svg
yellow_reflection.desktop
yellow_reflection.rc
DESTINATION ${DATA_INSTALL_DIR}/kfourinline/grafix)

=== kgoldrunner/gamedata/CMakeLists.txt ===




########### install files ###############

install( FILES game_CM.txt
               game_cnt.txt
               game_ende.txt
               game_GMEP.txt
               game_GMGR.txt
               game_kgr.txt
               game_lars.txt
               game_MAZ.txt
               game_plws.txt
               game_plwv.txt
               game_sot.txt
               game_tute.txt
               game_tutea.txt
               game_wad.txt
               hi_kgr.dat
               hi_plws.dat
               hi_plwv.dat
               hi_wad.dat
               rec_demo.txt
   DESTINATION ${DATA_INSTALL_DIR}/kgoldrunner/system )

=== konquest/pics/CMakeLists.txt ===
install( FILES default_theme.svgz konquest-splash.png DESTINATION  ${DATA_INSTALL_DIR}/konquest/pics )

=== ksudoku/src/CMakeLists.txt ===
########### next target ###############

include_directories(
        ${CMAKE_CURRENT_SOURCE_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR}/gui
        ${CMAKE_CURRENT_SOURCE_DIR}/gui/views
        ${CMAKE_CURRENT_SOURCE_DIR}/logic
        ${CMAKE_CURRENT_BINARY_DIR}/gui
        ${CMAKE_CURRENT_BINARY_DIR}/gui/views
#        ${CMAKE_CURRENT_BINARY_DIR}/gui/export
#        ${CMAKE_CURRENT_BINARY_DIR}/gui/export/draw
#        ${CMAKE_CURRENT_BINARY_DIR}/logic
        ${CMAKE_CURRENT_SOURCE_DIR}/generator
)

if(OPENGL_SUPPORT)
   include_directories(${OPENGL_INCLUDE_DIR})
endif(OPENGL_SUPPORT)

set(ksudoku_SRCS
	main.cpp
	generator/sudokuboard.cpp
	generator/plainsudokuboard.cpp
	generator/roxdokuboard.cpp
	generator/samuraiboard.cpp
	generator/state.cpp
)

kde4_add_app_icon(ksudoku_SRCS "${KDE4_ICON_INSTALL_DIR}/oxygen/*/apps/ksudoku.png")
kde4_add_executable(ksudoku ${ksudoku_SRCS})

target_link_libraries(ksudoku
	ksudoku_gui ksudoku_logic
	kdegames
	${KDE4_KIO_LIBS}
)

if(OPENGL_SUPPORT)
target_link_libraries(ksudoku
	${QT_QTOPENGL_LIBRARY} ${OPENGL_LIBRARIES} ${CMAKE_DL_LIBS}
)
endif(OPENGL_SUPPORT)

install(TARGETS ksudoku  ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### next target ###############
add_subdirectory( gui )
add_subdirectory( logic  )
add_subdirectory( shapes )
add_subdirectory( themes )


#set(ksudoku_client_SRCS
#    ksudoku_client.cpp
#)

#kde3_automoc( ${ksudoku_client_SRCS} )

#kde3_add_executable(ksudoku_client ${ksudoku_client_SRCS})

#target_link_libraries(ksudoku_client ${QT_AND_KDECORE_LIBRARIES} kdeui)



#install(TARGETS ksudoku_client  ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( PROGRAMS gui/ksudoku.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES gui/ksudokuui.rc  DESTINATION  ${DATA_INSTALL_DIR}/ksudoku )
install( FILES ksudokurc  DESTINATION ${CONFIG_INSTALL_DIR})

kde4_install_icons(${ICON_INSTALL_DIR})

=== debian/changelog ===
kdegames (4:4.8.4-3) unstable; urgency=low

  * Fix incorrect minimum version of python-qt4-sql which made kajongg
    uninstalable. Thanks Beojan Stanislaus for noticing!

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 20 Oct 2012 14:40:49 -0300

kdegames (4:4.8.4-2) unstable; urgency=low

  [ Pino Toscano ]
  * Backport upstream r1301756 and r1301764 to fix kajongg for newer
    SQLite/QtSql versions; patches upstream_r1301756.diff and
    upstream_r1301764.diff. (Closes: #683856)
  * Improve the kajongg dependencies:
    - add missing epochs in dependencies needing them
    - tighten kdegames-mahjongg-data to at least the same source version

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add myself to Uploaders.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 19 Oct 2012 20:00:48 -0300

kdegames (4:4.8.4-1) unstable; urgency=low

  * New upstream release
    - Upstream patch no longer needed
    - Update install files

 -- Sune Vuorela <sune@debian.org>  Sat, 16 Jun 2012 22:30:55 +0200

kdegames (4:4.7.4-3) unstable; urgency=low

  * Team upload.

  [ Pino Toscano ]
  * Backport upstream r1286738 to fix building with GCC 4.7. (Closes: #672674)
  * Bump Standards-Version to 3.9.3, no changes required.
  * Add the "standard footer" the descriptions of a couple of packages
    needing it.
  * Move the transitional ksame to Section: oldlibs and Priority: extra.
  * Update the symbols files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 25 May 2012 14:02:51 -0300

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,23 @@
 Source: kdegames
 Section: games
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>, Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
- Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <gkiagiad@csd.uoc.gr>,
- Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
+ Modestas Vainius <modax@debian.org>, George Kiagiadakis <gkiagiad@csd.uoc.gr>,
+ Eshat Cakar <info@eshat.de>, Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8.1), libphonon-dev (>= 4:4.3.0), libqt4-opengl-dev [amd64 i386 powerpc],
- libglu1-mesa-dev [amd64 i386 powerpc], ggzcore-bin, libqca2-dev, zlib1g-dev, libeigen2-dev,
- shared-mime-info, libsndfile1-dev, python (>= 2.6.6-3~), libopenal-dev
-Standards-Version: 3.9.2
+ kdelibs5-dev (>= 4:4.7), libphonon-dev (>= 4:4.3.0), libqt4-opengl-dev,
+ libglu1-mesa-dev, libqca2-dev, zlib1g-dev, libeigen2-dev,
+ shared-mime-info, libopenal-dev, libsndfile1-dev, python (>= 2.6.6-3~)
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.6
 Homepage: http://games.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdegames
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdegames
-X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdegames.git
-X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdegames.git
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdegames.git
+Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdegames.git
 
 Package: kdegames
-Architecture: any
+Architecture: all
 Section: kde
 Depends: ${misc:Depends}, bovo (>= ${source:Version}), bomber (>= ${source:Version}), 
  kapman (>= ${source:Version}), katomic (>= ${source:Version}),
@@ -34,12 +31,12 @@
  kollision (>= ${source:Version}), konquest (>= ${source:Version}),
  kpat (>= ${source:Version}), kreversi (>= ${source:Version}),
  klickety (>= ${source:Version}), kshisen (>= ${source:Version}),
- kspaceduel (>= ${source:Version}), ksudoku (>= ${source:Version}) [amd64 i386 powerpc],
+ kspaceduel (>= ${source:Version}), ksudoku (>= ${source:Version}),
  ksquares (>= ${source:Version}), ktuberling (>= ${source:Version}),
  kfourinline (>= ${source:Version}), lskat (>= ${source:Version}),
- kubrick (>= ${source:Version}) [amd64 i386 powerpc], kblocks (>= ${source:Version}),
+ kubrick (>= ${source:Version}), kblocks (>= ${source:Version}),
  kbreakout (>= ${source:Version}), ksirk (>= ${source:Version}),
- palapeli (>= ${source:Version}),
+ palapeli (>= ${source:Version}), granatier (>= ${source:Version}),
  kigo (>= ${source:Version})
 Recommends: kajongg (>= ${source:Version})
 Description: games from the official KDE release
@@ -87,7 +84,7 @@
 Breaks: libkdegames5
 Description: GGZ support library for KDE games
  This package contains a shared library used by KDE games to support the GNU
- Gaming Zone online gaming environment. This libraryi can be used by game clients
+ Gaming Zone online gaming environment. This library can be used by game clients
  to display information about the players and spectators and their associated
  statistics.
  .
@@ -129,22 +126,13 @@
 Description: development files for the KDE games library
  This package contains development files for building software that uses
  libraries from the KDE games module.
+ .
+ This package is part of the KDE games module.
 
 Package: kdegames-card-data
 Architecture: all
-Suggests: kdegames-card-data-extra
 Depends: ${misc:Depends}
 Description: card decks for KDE games
- This package contains a collection of playing card themes for KDE card games.
- .
- This package is part of the KDE games module.
-
-Package: kdegames-card-data-extra
-Architecture: all
-Depends: ${misc:Depends}, kdegames-card-data
-Replaces: kdegames-card-data (<< 4:4.5.3-0ubuntu2)
-Breaks: kdegames-card-data (<< 4:4.5.3-0ubuntu2)
-Description: extra card decks for KDE games
  This package contains a collection of playing card themes for KDE card games.
  .
  This package is part of the KDE games module.
@@ -294,3 +282,27 @@
 Description: mahjongg solitaire game
  KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
  to clear the board.  A variety of tile layouts are included, as well as an
+ editor to create new layouts.
+ .
+ This package is part of the KDE games module.
+
+Package: kmines
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: minesweeper game
+ KMines is a game where the player finds hidden mines without setting them off.
+ .
+ This package is part of the KDE games module.
+
+Package: knetwalk
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: wire puzzle game
+ KNetwalk is a puzzle game where the player arranges sections of wire to
+ connect all the computers on the board.
+ .
+ This package is part of the KDE games module.
+
+Package: kolf
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
